using System;
using Stattauto.Domain.Reservierungen;
using NUnit.Framework;
using Stattauto.Domain.Share.Test;

namespace Stattauto.Domain.Mitgliedschaften
{
	[TestFixture]
	public class MitgliedAustrittTest
	{
		private Mitglied mitglied;
		private Zeitraum zeitraum;
		private DateTime austrittsDatumOk;
		private DateTime austrittsDatumNichtOk;

		public MitgliedAustrittTest()
		{

		}

		[SetUp]
		public void Init ()
		{
			zeitraum = TestDaten.createZeitraum ("24.12.2003 15:00","24.12.2003 23:00");
			mitglied = new Mitglied(4711, "Hans", "Mustermann",Convert.ToDateTime("24.12.2002"));
			austrittsDatumOk = DateTime.Now.AddDays(1);
			austrittsDatumNichtOk = DateTime.Now.AddHours(-1);
		}
		
		[Test]
		public void Ok()
		{
			mitglied.Austritt(austrittsDatumOk);
		}
		
		[Test]
		public void NichtOk()
		{
			try 
			{
				mitglied.Austritt(austrittsDatumNichtOk);
				Assertion.Fail("TestAustrittNichtOk fehlgeschlagen");
			}
			catch (ArgumentException exc)
			{

			}
		}
	}
}

		




